//<![CDATA[
//AUTHOR:JULLYCAT(ZHANGYANJUN)

/**获取DOM中id
 * @param {object} id 获取的id值
 */

$=function(id){
	return document.getElementById(id);
}

/**自定义多重类对象
 * @param {Object} namespace 自定义类名
 */
Namespace = new Object();
Namespace.register = function(namespace){
	var nsArray = namespace.split('.');
	var sEval = "";
    var sNS = "";
	for (var i = 0; i < nsArray.length; i++){
        if (i != 0) sNS += ".";
        sNS += nsArray[i];
        sEval += "if (typeof(" + sNS + ") == 'undefined') " + sNS + " = new Object();"
    }
    if (sEval != "") eval(sEval);
}

/**
 * 对数组Array对象扩展unite方法；
 * @method unite 类似concat，但FF不支持concat；
 * @param (arg) arg是需要增加的数组对象；
 */
Array.prototype.unite = function(arg){
	var temparg = new Array();
	var len1 = this.length;
	var len2 = arg.length;
	for(var i=0;i<(len1+len2);i++){
		if(i<len1) this[i] = this[i];
		else this[i] = arg[i-len1];
	}
	return this;
}

/**
 * 给数组扩展add方法.
 * @method add 类似push,需要增加的元素同元数组进行比较，如果没有相同值则追加，如果有则不追加;
 * @param {Object} obj 需要add的对象.
 */
Array.prototype.add = function(obj){
	var add_flag = true;
	for(var i=0;i<this.length;i++){
		if(this[i]==obj){
			add_flag = false;
			break;
		}
	}
	if(add_flag==true){
		this[this.length] = obj;
	}
}

//]]>